package net.kronos.mockup.handler;

import java.lang.annotation.Annotation;
import java.lang.reflect.Field;
import java.util.Calendar;

import net.kronos.mockup.annotation.MockDatetime;

public class DateHandler implements  IMockHandlerCommand{

	@Override
	public Object execute(
			Annotation ann, 
			Field targetField, 
			Object instance,
			int count) {
		
		MockDatetime annotation =(MockDatetime)ann;
		int max = annotation.maxRange();
		int min = annotation.minRange();
		int result;
		if(annotation.isRandom()){
			result = NumberHandler.getRangedRandomNumber(min,max,count);
		}else{
			result = NumberHandler.getRangedNumber(min,max,count);
		}

		int field = Calendar.DATE;
		Calendar cal = Calendar.getInstance();
		switch(annotation.step()){
			case MiliSec: 
				field = Calendar.MILLISECOND;
				break;
			case Sec: 
				field = Calendar.SECOND;
				break;
			case Min: 
				field = Calendar.MINUTE;
				break;
			case Hour: 
				field = Calendar.HOUR;
				break;
			case Month: 
				field = Calendar.MONTH;
				break;
			case Year: 
				field = Calendar.YEAR;
				break;
			default:
				break;
		}
		cal.add(field, result);
		return cal.getTime();
	}
	
}
