package net.kronos.mockup.handler;

import java.lang.annotation.Annotation;
import java.lang.reflect.Field;
import java.math.BigDecimal;

import net.kronos.mockup.annotation.MockNumber;

public class NumberHandler implements  IMockHandlerCommand{

	@Override
	public Object execute(
			Annotation ann, 
			Field targetField, 
			Object instance,
			int count) {
		MockNumber annotation =(MockNumber)ann;
		int max = annotation.max();
		int min = annotation.min();
		int result;
		if(annotation.isRandom()){
			result = NumberHandler.getRangedRandomNumber(min,max,count);
		}else{
			result = NumberHandler.getRangedNumber(min,max,count);
		}
		return result;
	}
	
	public static int getRangedNumber(int min,int max,int count){
		int result = min + count;
		while(result > max){
			result -= max; 
		}
		return result;
	}
	
	public static int getRangedRandomNumber(int min,int max,int count){
		int result = NumberHandler.getRandomNumber(max);
		while(result < min || result > max){
			result = NumberHandler.getRandomNumber(max);
		}
		return result;
	}
	
	public static int getRandomNumber(int max){
		BigDecimal num = new BigDecimal(Math.random());
		num = num.multiply(new BigDecimal(max));
		num = new BigDecimal(Math.round(num.doubleValue()));
		return num.intValue();
	}
}
