package net.kronos.orm.factory;

import java.io.InputStream;
import java.io.Reader;
import java.math.BigDecimal;
import java.net.URL;
import java.sql.Array;
import java.sql.Blob;
import java.sql.Clob;
import java.sql.Connection;
import java.sql.Date;
import java.sql.NClob;
import java.sql.Ref;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.RowId;
import java.sql.SQLException;
import java.sql.SQLWarning;
import java.sql.SQLXML;
import java.sql.Savepoint;
import java.sql.Statement;
import java.sql.Time;
import java.sql.Timestamp;
import java.util.Calendar;
import java.util.Collection;
import java.util.Map;

import javax.sql.RowSet;
import javax.sql.RowSetEvent;
import javax.sql.RowSetListener;
import javax.sql.RowSetMetaData;
import javax.sql.rowset.CachedRowSet;
import javax.sql.rowset.RowSetWarning;
import javax.sql.rowset.spi.SyncProvider;
import javax.sql.rowset.spi.SyncProviderException;

import com.sun.rowset.CachedRowSetImpl;

public class ObjectCachedRowSet <T> implements CachedRowSet{
	private CachedRowSet innerRowSet;
	
	public ObjectCachedRowSet(){
		try {
			this.innerRowSet = new CachedRowSetImpl();
		} catch (SQLException e) {
			throw new RuntimeException(e);
		}
	}

	public ObjectCachedRowSet(CachedRowSet rowset){
		this.innerRowSet = rowset;
	}

	@Override
	public void acceptChanges() throws SyncProviderException {
		this.innerRowSet.acceptChanges();	
	}

	@Override
	public void acceptChanges(Connection con) throws SyncProviderException {
		this.innerRowSet.acceptChanges(con);
	}

	@Override
	public boolean columnUpdated(int idx) throws SQLException {
		return this.innerRowSet.columnUpdated(idx);
	}

	@Override
	public boolean columnUpdated(String columnName) throws SQLException {
		return this.innerRowSet.columnUpdated(columnName);
	}

	@Override
	public void commit() throws SQLException {
		this.innerRowSet.commit();
	}

	@Override
	public CachedRowSet createCopy() throws SQLException {
		return this.innerRowSet.createCopy();
	}

	@Override
	public CachedRowSet createCopyNoConstraints() throws SQLException {
		return this.innerRowSet.createCopyNoConstraints();
	}

	@Override
	public CachedRowSet createCopySchema() throws SQLException {
		return this.innerRowSet.createCopySchema();
	}

	@Override
	public RowSet createShared() throws SQLException {
		return this.innerRowSet.createShared();
	}

	@Override
	public void execute(Connection conn) throws SQLException {
		this.innerRowSet.execute(conn);
	}

	@Override
	public int[] getKeyColumns() throws SQLException {
		return this.innerRowSet.getKeyColumns();
	}

	@Override
	public ResultSet getOriginal() throws SQLException {
		return this.innerRowSet.getOriginal();
	}

	@Override
	public ResultSet getOriginalRow() throws SQLException {
		return this.innerRowSet.getOriginalRow();
	}

	@Override
	public int getPageSize() {
		return this.innerRowSet.getPageSize();
	}

	@Override
	public RowSetWarning getRowSetWarnings() throws SQLException {
		return this.innerRowSet.getRowSetWarnings();
	}

	@Override
	public boolean getShowDeleted() throws SQLException {
		return this.innerRowSet.getShowDeleted();
	}

	@Override
	public SyncProvider getSyncProvider() throws SQLException {
		return this.innerRowSet.getSyncProvider();
	}

	@Override
	public String getTableName() throws SQLException {
		return this.innerRowSet.getTableName();
	}

	@Override
	public boolean nextPage() throws SQLException {
		return this.innerRowSet.nextPage();
	}

	@Override
	public void populate(ResultSet data) throws SQLException {
		this.innerRowSet.populate(data);
	}

	@Override
	public void populate(ResultSet rs, int startRow) throws SQLException {
		this.innerRowSet.populate(rs, startRow);
	}

	@Override
	public boolean previousPage() throws SQLException {
		return this.innerRowSet.previousPage();
	}

	@Override
	public void release() throws SQLException {
		this.innerRowSet.release();
	}

	@Override
	public void restoreOriginal() throws SQLException {
		this.innerRowSet.restoreOriginal();
	}

	@Override
	public void rollback() throws SQLException {
		this.innerRowSet.rollback();
	}

	@Override
	public void rollback(Savepoint s) throws SQLException {
		this.innerRowSet.rollback(s);
	}

	@Override
	public void rowSetPopulated(RowSetEvent event, int numRows) throws SQLException {
		this.innerRowSet.rowSetPopulated(event, numRows);
	}
	
	@Override
	public void setKeyColumns(int[] keys) throws SQLException {
		this.innerRowSet.setKeyColumns(keys);
	}

	@Override
	public void setMetaData(RowSetMetaData md) throws SQLException {
		this.innerRowSet.setMetaData(md);
	}

	@Override
	public void setOriginalRow() throws SQLException {
		this.innerRowSet.setOriginalRow();
	}

	@Override
	public void setPageSize(int size) throws SQLException {
		this.innerRowSet.setPageSize(size);
	}

	@Override
	public void setShowDeleted(boolean b) throws SQLException {
		this.innerRowSet.setShowDeleted(b);
	}

	@Override
	public void setSyncProvider(String provider) throws SQLException {
		this.innerRowSet.setSyncProvider(provider);
	}

	@Override
	public void setTableName(String tabName) throws SQLException {
		this.innerRowSet.setTableName(tabName);
	}

	@Override
	public int size() {
		return size();
	}

	@Override
	public Collection<?> toCollection() throws SQLException {
		return this.innerRowSet.toCollection();
	}

	@Override
	public Collection<?> toCollection(int column) throws SQLException {
		return this.innerRowSet.toCollection(column);
	}

	@Override
	public Collection<?> toCollection(String column) throws SQLException {
		return this.innerRowSet.toCollection(column);
	}

	@Override
	public void undoDelete() throws SQLException {
		this.innerRowSet.undoDelete();
	}

	@Override
	public void undoInsert() throws SQLException {
		this.innerRowSet.undoInsert();
	}

	@Override
	public void undoUpdate() throws SQLException {
		this.innerRowSet.undoUpdate();
	}

	@Override
	public void addRowSetListener(RowSetListener listener) {
		this.innerRowSet.addRowSetListener(listener);
	}

	@Override
	public void clearParameters() throws SQLException {
		this.innerRowSet.clearParameters();
	}

	@Override
	public void execute() throws SQLException {
		this.innerRowSet.execute();
	}

	@Override
	public String getCommand() {
		return this.innerRowSet.getCommand();
	}

	@Override
	public String getDataSourceName() {
		return this.innerRowSet.getDataSourceName();
	}

	@Override
	public boolean getEscapeProcessing() throws SQLException {
		return this.innerRowSet.getEscapeProcessing();
	}

	@Override
	public int getMaxFieldSize() throws SQLException {
		return this.innerRowSet.getMaxFieldSize();
	}

	@Override
	public int getMaxRows() throws SQLException {
		return this.innerRowSet.getMaxRows();
	}

	@Override
	public String getPassword() {
		return this.innerRowSet.getPassword();
	}

	@Override
	public int getQueryTimeout() throws SQLException {
		return this.innerRowSet.getQueryTimeout();
	}

	@Override
	public int getTransactionIsolation() {
		return this.innerRowSet.getTransactionIsolation();
	}

	@Override
	public Map<String, Class<?>> getTypeMap() throws SQLException {
		return this.innerRowSet.getTypeMap();
	}

	@Override
	public String getUrl() throws SQLException {
		return this.innerRowSet.getUrl();
	}

	@Override
	public String getUsername() {
		return this.innerRowSet.getUsername();
	}

	@Override
	public boolean isReadOnly() {
		return this.innerRowSet.isReadOnly();
	}

	@Override
	public void removeRowSetListener(RowSetListener listener) {
		this.innerRowSet.removeRowSetListener(listener);
	}

	@Override
	public void setArray(int i, Array x) throws SQLException {
		this.innerRowSet.setArray(i, x);
	}

	@Override
	public void setAsciiStream(int parameterIndex, InputStream x) throws SQLException {
		this.innerRowSet.setAsciiStream(parameterIndex, x);
	}

	@Override
	public void setAsciiStream(String parameterName, InputStream x) throws SQLException {
		this.innerRowSet.setAsciiStream(parameterName, x);
	}

	@Override
	public void setAsciiStream(int parameterIndex, InputStream x, int length) throws SQLException {
		this.innerRowSet.setAsciiStream(parameterIndex, x, length);
	}

	@Override
	public void setAsciiStream(String parameterName, InputStream x, int length) throws SQLException {
		this.innerRowSet.setAsciiStream(parameterName, x, length);
	}

	@Override
	public void setBigDecimal(int parameterIndex, BigDecimal x) throws SQLException {
		this.innerRowSet.setBigDecimal(parameterIndex, x);
	}

	@Override
	public void setBigDecimal(String parameterName, BigDecimal x) throws SQLException {
		this.innerRowSet.setBigDecimal(parameterName, x);
	}

	@Override
	public void setBinaryStream(int parameterIndex, InputStream x) throws SQLException {
		this.innerRowSet.setBinaryStream(parameterIndex, x);
	}

	@Override
	public void setBinaryStream(String parameterName, InputStream x) throws SQLException {
		this.innerRowSet.setBinaryStream(parameterName, x);
	}

	@Override
	public void setBinaryStream(int parameterIndex, InputStream x, int length) throws SQLException {
		this.innerRowSet.setBinaryStream(parameterIndex, x, length);
	}

	@Override
	public void setBinaryStream(String parameterName, InputStream x, int length) throws SQLException {
		this.innerRowSet.setBinaryStream(parameterName, x, length);
	}

	@Override
	public void setBlob(int i, Blob x) throws SQLException {
		this.innerRowSet.setBlob(i, x);
	}

	@Override
	public void setBlob(int parameterIndex, InputStream inputStream) throws SQLException {
		this.innerRowSet.setBlob(parameterIndex, inputStream);
	}

	@Override
	public void setBlob(String parameterName, Blob x) throws SQLException {
		this.innerRowSet.setBlob(parameterName, x);
	}

	@Override
	public void setBlob(String parameterName, InputStream inputStream) throws SQLException {
		this.innerRowSet.setBlob(parameterName, inputStream);
	}

	@Override
	public void setBlob(int parameterIndex, InputStream inputStream, long length) throws SQLException {
		this.innerRowSet.setBlob(parameterIndex, inputStream,length);
	}

	@Override
	public void setBlob(String parameterName, InputStream inputStream,
			long length) throws SQLException {
		this.innerRowSet.setBlob(parameterName, inputStream);
	}

	@Override
	public void setBoolean(int parameterIndex, boolean x) throws SQLException {
		this.innerRowSet.setBoolean(parameterIndex, x);
	}

	@Override
	public void setBoolean(String parameterName, boolean x) throws SQLException {
		this.innerRowSet.setBoolean(parameterName, x);
	}

	@Override
	public void setByte(int parameterIndex, byte x) throws SQLException {
		this.innerRowSet.setByte(parameterIndex, x);
	}

	@Override
	public void setByte(String parameterName, byte x) throws SQLException {
		this.innerRowSet.setByte(parameterName, x);
	}

	@Override
	public void setBytes(int parameterIndex, byte[] x) throws SQLException {
		this.innerRowSet.setBytes(parameterIndex, x);
	}

	@Override
	public void setBytes(String parameterName, byte[] x) throws SQLException {
		this.innerRowSet.setBytes(parameterName, x);
	}

	@Override
	public void setCharacterStream(int parameterIndex, Reader reader) throws SQLException {
		this.innerRowSet.setCharacterStream(parameterIndex, reader);
	}

	@Override
	public void setCharacterStream(String parameterName, Reader reader) throws SQLException {
		this.innerRowSet.setCharacterStream(parameterName, reader);
	}

	@Override
	public void setCharacterStream(int parameterIndex, Reader reader, int length) throws SQLException {
		this.innerRowSet.setCharacterStream(parameterIndex, reader,length);
	}

	@Override
	public void setCharacterStream(String parameterName, Reader reader, int length) throws SQLException {
		this.innerRowSet.setCharacterStream(parameterName, reader,length);
	}

	@Override
	public void setClob(int i, Clob x) throws SQLException {
		this.innerRowSet.setClob(i, x);
	}

	@Override
	public void setClob(int parameterIndex, Reader reader) throws SQLException {
		this.innerRowSet.setClob(parameterIndex, reader);
	}

	@Override
	public void setClob(String parameterName, Clob x) throws SQLException {
		this.innerRowSet.setClob(parameterName, x);
	}

	@Override
	public void setClob(String parameterName, Reader reader) throws SQLException {
		this.innerRowSet.setClob(parameterName, reader);
	}

	@Override
	public void setClob(int parameterIndex, Reader reader, long length) throws SQLException {
		this.innerRowSet.setClob(parameterIndex, reader, length);
	}

	@Override
	public void setClob(String parameterName, Reader reader, long length) throws SQLException {
		this.innerRowSet.setClob(parameterName, reader, length);
	}

	@Override
	public void setCommand(String cmd) throws SQLException {
		this.innerRowSet.setCommand(cmd);
	}

	@Override
	public void setConcurrency(int concurrency) throws SQLException {
		this.innerRowSet.setConcurrency(concurrency);
	}

	@Override
	public void setDataSourceName(String name) throws SQLException {
		this.innerRowSet.setDataSourceName(name);
	}

	@Override
	public void setDate(int parameterIndex, Date x) throws SQLException {
		this.innerRowSet.setDate(parameterIndex, x);
	}

	@Override
	public void setDate(String parameterName, Date x) throws SQLException {
		this.innerRowSet.setDate(parameterName, x);
	}

	@Override
	public void setDate(int parameterIndex, Date x, Calendar cal) throws SQLException {
		this.innerRowSet.setDate(parameterIndex, x, cal);
	}

	@Override
	public void setDate(String parameterName, Date x, Calendar cal) throws SQLException {
		this.innerRowSet.setDate(parameterName, x, cal);
	}

	@Override
	public void setDouble(int parameterIndex, double x) throws SQLException {
		this.innerRowSet.setDouble(parameterIndex, x);
	}

	@Override
	public void setDouble(String parameterName, double x) throws SQLException {
		this.innerRowSet.setDouble(parameterName, x);
	}

	@Override
	public void setEscapeProcessing(boolean enable) throws SQLException {
		this.innerRowSet.setEscapeProcessing(enable);
	}

	@Override
	public void setFloat(int parameterIndex, float x) throws SQLException {
		this.innerRowSet.setFloat(parameterIndex, x);
	}

	@Override
	public void setFloat(String parameterName, float x) throws SQLException {
		this.innerRowSet.setFloat(parameterName, x);
	}

	@Override
	public void setInt(int parameterIndex, int x) throws SQLException {
		this.innerRowSet.setInt(parameterIndex, x);
	}

	@Override
	public void setInt(String parameterName, int x) throws SQLException {
		this.innerRowSet.setInt(parameterName, x);
	}

	@Override
	public void setLong(int parameterIndex, long x) throws SQLException {
		this.innerRowSet.setLong(parameterIndex, x);
	}

	@Override
	public void setLong(String parameterName, long x) throws SQLException {
		this.innerRowSet.setLong(parameterName, x);
	}

	@Override
	public void setMaxFieldSize(int max) throws SQLException {
		this.innerRowSet.setMaxFieldSize(max);
	}

	@Override
	public void setMaxRows(int max) throws SQLException {
		this.innerRowSet.setMaxRows(max);
	}

	@Override
	public void setNCharacterStream(int parameterIndex, Reader value) throws SQLException {
		this.innerRowSet.setNCharacterStream(parameterIndex, value);
	}

	@Override
	public void setNCharacterStream(String parameterName, Reader value) throws SQLException {
		this.innerRowSet.setNCharacterStream(parameterName, value);
	}

	@Override
	public void setNCharacterStream(int parameterIndex, Reader value,long length) throws SQLException {
		this.innerRowSet.setNCharacterStream(parameterIndex, value, length);
	}

	@Override
	public void setNCharacterStream(String parameterName, Reader value,long length) throws SQLException {
		this.innerRowSet.setNCharacterStream(parameterName, value, length);
	}

	@Override
	public void setNClob(String parameterName, NClob value) throws SQLException {
		this.innerRowSet.setNClob(parameterName, value);
	}

	@Override
	public void setNClob(String parameterName, Reader reader) throws SQLException {
		this.innerRowSet.setNClob(parameterName, reader);
	}

	@Override
	public void setNClob(int parameterIndex, NClob value) throws SQLException {
		this.innerRowSet.setNClob(parameterIndex, value);
	}

	@Override
	public void setNClob(int parameterIndex, Reader reader) throws SQLException {
		this.innerRowSet.setNClob(parameterIndex, reader);
	}

	@Override
	public void setNClob(String parameterName, Reader reader, long length) throws SQLException {
		this.innerRowSet.setNClob(parameterName, reader, length);
	}

	@Override
	public void setNClob(int parameterIndex, Reader reader, long length) throws SQLException {
		this.innerRowSet.setNClob(parameterIndex, reader, length);
	}

	@Override
	public void setNString(int parameterIndex, String value) throws SQLException {
		this.innerRowSet.setNString(parameterIndex, value);
	}

	@Override
	public void setNString(String parameterName, String value) throws SQLException {
		this.innerRowSet.setNString(parameterName, value);
	}

	@Override
	public void setNull(int parameterIndex, int sqlType) throws SQLException {
		this.innerRowSet.setNull(parameterIndex, sqlType);
	}

	@Override
	public void setNull(String parameterName, int sqlType) throws SQLException {
		this.innerRowSet.setNull(parameterName, sqlType);
	}

	@Override
	public void setNull(int paramIndex, int sqlType, String typeName) throws SQLException {
		this.innerRowSet.setNull(paramIndex, sqlType, typeName);
	}

	@Override
	public void setNull(String parameterName, int sqlType, String typeName) throws SQLException {
		this.innerRowSet.setNull(parameterName, sqlType	, typeName);
	}

	@Override
	public void setObject(String parameterName, Object x) throws SQLException {
		this.innerRowSet.setObject(parameterName, x);
	}

	@Override
	public void setObject(int parameterIndex, Object x) throws SQLException {
		this.innerRowSet.setObject(parameterIndex, x);
	}

	@Override
	public void setObject(int parameterIndex, Object x, int targetSqlType) throws SQLException {
		this.innerRowSet.setObject(parameterIndex, x, targetSqlType);
	}

	@Override
	public void setObject(String parameterName, Object x, int targetSqlType) throws SQLException {
		this.innerRowSet.setObject(parameterName, x, targetSqlType);
	}

	@Override
	public void setObject(int parameterIndex, Object x, int targetSqlType,int scaleOrLength) throws SQLException {
		this.innerRowSet.setObject(parameterIndex, x, targetSqlType, scaleOrLength);
	}

	@Override
	public void setObject(String parameterName, Object x, int targetSqlType,int scale) throws SQLException {
		this.innerRowSet.setObject(parameterName, x, targetSqlType, scale);
	}

	@Override
	public void setPassword(String password) throws SQLException {
		this.innerRowSet.setPassword(password);
	}

	@Override
	public void setQueryTimeout(int seconds) throws SQLException {
		this.innerRowSet.setQueryTimeout(seconds);
	}

	@Override
	public void setReadOnly(boolean value) throws SQLException {
		this.innerRowSet.setReadOnly(value);
	}

	@Override
	public void setRef(int i, Ref x) throws SQLException {
		this.innerRowSet.setRef(i, x);
	}

	@Override
	public void setRowId(int parameterIndex, RowId x) throws SQLException {
		this.innerRowSet.setRowId(parameterIndex, x);
	}

	@Override
	public void setRowId(String parameterName, RowId x) throws SQLException {
		this.innerRowSet.setRowId(parameterName, x);
	}

	@Override
	public void setSQLXML(int parameterIndex, SQLXML xmlObject) throws SQLException {
		this.innerRowSet.setSQLXML(parameterIndex, xmlObject);
	}

	@Override
	public void setSQLXML(String parameterName, SQLXML xmlObject) throws SQLException {
		this.innerRowSet.setSQLXML(parameterName, xmlObject);
	}

	@Override
	public void setShort(int parameterIndex, short x) throws SQLException {
		this.innerRowSet.setShort(parameterIndex, x);
	}

	@Override
	public void setShort(String parameterName, short x) throws SQLException {
		this.innerRowSet.setShort(parameterName, x);
	}

	@Override
	public void setString(int parameterIndex, String x) throws SQLException {
		this.innerRowSet.setString(parameterIndex, x);
	}

	@Override
	public void setString(String parameterName, String x) throws SQLException {
		this.innerRowSet.setString(parameterName, x);
	}

	@Override
	public void setTime(int parameterIndex, Time x) throws SQLException {
		this.innerRowSet.setTime(parameterIndex, x);
	}

	@Override
	public void setTime(String parameterName, Time x) throws SQLException {
		this.innerRowSet.setTime(parameterName, x);
	}

	@Override
	public void setTime(int parameterIndex, Time x, Calendar cal) throws SQLException {
		this.innerRowSet.setTime(parameterIndex, x, cal);
	}

	@Override
	public void setTime(String parameterName, Time x, Calendar cal) throws SQLException {
		this.innerRowSet.setTime(parameterName, x, cal);
	}

	@Override
	public void setTimestamp(int parameterIndex, Timestamp x) throws SQLException {
		this.innerRowSet.setTimestamp(parameterIndex, x);
	}

	@Override
	public void setTimestamp(String parameterName, Timestamp x) throws SQLException {
		this.innerRowSet.setTimestamp(parameterName, x);
	}

	@Override
	public void setTimestamp(int parameterIndex, Timestamp x, Calendar cal) throws SQLException {
		this.innerRowSet.setTimestamp(parameterIndex, x, cal);
	}

	@Override
	public void setTimestamp(String parameterName, Timestamp x, Calendar cal) throws SQLException {
		this.innerRowSet.setTimestamp(parameterName, x, cal);
	}

	@Override
	public void setTransactionIsolation(int level) throws SQLException {
		this.innerRowSet.setTransactionIsolation(level);
	}

	@Override
	public void setType(int type) throws SQLException {
		this.innerRowSet.setType(type);
	}

	@Override
	public void setTypeMap(Map<String, Class<?>> map) throws SQLException {
		this.innerRowSet.setTypeMap(map);
	}

	@Override
	public void setURL(int parameterIndex, URL x) throws SQLException {
		this.innerRowSet.setURL(parameterIndex, x);
	}

	@Override
	public void setUrl(String url) throws SQLException {
		this.innerRowSet.setUrl(url);
	}

	@Override
	public void setUsername(String name) throws SQLException {
		this.innerRowSet.setUsername(name);
	}

	@Override
	public boolean absolute(int row) throws SQLException {
		return this.innerRowSet.absolute(row);
	}

	@Override
	public void afterLast() throws SQLException {
		this.innerRowSet.afterLast();
	}

	@Override
	public void beforeFirst() throws SQLException {
		this.innerRowSet.beforeFirst();
	}

	@Override
	public void cancelRowUpdates() throws SQLException {
		this.innerRowSet.cancelRowUpdates();
	}

	@Override
	public void clearWarnings() throws SQLException {
		this.innerRowSet.clearWarnings();
	}

	@Override
	public void close() throws SQLException {
		this.innerRowSet.close();
	}

	@Override
	public void deleteRow() throws SQLException {
		this.innerRowSet.deleteRow();
	}

	@Override
	public int findColumn(String columnLabel) throws SQLException {
		return this.innerRowSet.findColumn(columnLabel);
	}

	@Override
	public boolean first() throws SQLException {
		return first();
	}

	@Override
	public Array getArray(int columnIndex) throws SQLException {
		return getArray(columnIndex);
	}

	@Override
	public Array getArray(String columnLabel) throws SQLException {
		return getArray(columnLabel);
	}

	@Override
	public InputStream getAsciiStream(int columnIndex) throws SQLException {
		return getAsciiStream(columnIndex);
	}

	@Override
	public InputStream getAsciiStream(String columnLabel) throws SQLException {
		return getAsciiStream(columnLabel);
	}

	@Override
	public BigDecimal getBigDecimal(int columnIndex) throws SQLException {
		return this.innerRowSet.getBigDecimal(columnIndex);
	}

	@Override
	public BigDecimal getBigDecimal(String columnLabel) throws SQLException {
		return this.innerRowSet.getBigDecimal(columnLabel);
	}

	@Override
	@Deprecated
	public BigDecimal getBigDecimal(int columnIndex, int scale) throws SQLException {
		return this.innerRowSet.getBigDecimal(columnIndex, scale);
	}

	@Override
	@Deprecated
	public BigDecimal getBigDecimal(String columnLabel, int scale) throws SQLException {
		return this.innerRowSet.getBigDecimal(columnLabel, scale);
	}

	@Override
	public InputStream getBinaryStream(int columnIndex) throws SQLException {
		return this.innerRowSet.getBinaryStream(columnIndex);
	}

	@Override
	public InputStream getBinaryStream(String columnLabel) throws SQLException {
		return this.innerRowSet.getBinaryStream(columnLabel);
	}

	@Override
	public Blob getBlob(int columnIndex) throws SQLException {
		return this.innerRowSet.getBlob(columnIndex);
	}

	@Override
	public Blob getBlob(String columnLabel) throws SQLException {
		return this.innerRowSet.getBlob(columnLabel);
	}

	@Override
	public boolean getBoolean(int columnIndex) throws SQLException {
		return this.innerRowSet.getBoolean(columnIndex);
	}

	@Override
	public boolean getBoolean(String columnLabel) throws SQLException {
		return this.innerRowSet.getBoolean(columnLabel);
	}

	@Override
	public byte getByte(int columnIndex) throws SQLException {
		return this.innerRowSet.getByte(columnIndex);
	}

	@Override
	public byte getByte(String columnLabel) throws SQLException {
		return this.innerRowSet.getByte(columnLabel);
	}

	@Override
	public byte[] getBytes(int columnIndex) throws SQLException {
		return this.innerRowSet.getBytes(columnIndex);
	}

	@Override
	public byte[] getBytes(String columnLabel) throws SQLException {
		return this.innerRowSet.getBytes(columnLabel);
	}

	@Override
	public Reader getCharacterStream(int columnIndex) throws SQLException {
		return this.innerRowSet.getCharacterStream(columnIndex);
	}

	@Override
	public Reader getCharacterStream(String columnLabel) throws SQLException {
		return this.innerRowSet.getCharacterStream(columnLabel);
	}

	@Override
	public Clob getClob(int columnIndex) throws SQLException {
		return this.innerRowSet.getClob(columnIndex);
	}

	@Override
	public Clob getClob(String columnLabel) throws SQLException {
		return this.innerRowSet.getClob(columnLabel);
	}

	@Override
	public int getConcurrency() throws SQLException {
		return this.innerRowSet.getConcurrency();
	}

	@Override
	public String getCursorName() throws SQLException {
		return this.innerRowSet.getCursorName();
	}

	@Override
	public Date getDate(int columnIndex) throws SQLException {
		return this.innerRowSet.getDate(columnIndex);
	}

	@Override
	public Date getDate(String columnLabel) throws SQLException {
		return this.innerRowSet.getDate(columnLabel);
	}

	@Override
	public Date getDate(int columnIndex, Calendar cal) throws SQLException {
		return this.innerRowSet.getDate(columnIndex, cal);
	}

	@Override
	public Date getDate(String columnLabel, Calendar cal) throws SQLException {
		return this.innerRowSet.getDate(columnLabel, cal);
	}

	@Override
	public double getDouble(int columnIndex) throws SQLException {
		return this.innerRowSet.getDouble(columnIndex);
	}

	@Override
	public double getDouble(String columnLabel) throws SQLException {
		return this.innerRowSet.getDouble(columnLabel);
	}

	@Override
	public int getFetchDirection() throws SQLException {
		return this.innerRowSet.getFetchDirection();
	}

	@Override
	public int getFetchSize() throws SQLException {
		return this.innerRowSet.getFetchSize();
	}

	@Override
	public float getFloat(int columnIndex) throws SQLException {
		return this.innerRowSet.getFloat(columnIndex);
	}

	@Override
	public float getFloat(String columnLabel) throws SQLException {
		return this.innerRowSet.getFloat(columnLabel);
	}

	@Override
	public int getHoldability() throws SQLException {
		return this.innerRowSet.getHoldability();
	}

	@Override
	public int getInt(int columnIndex) throws SQLException {
		return this.innerRowSet.getInt(columnIndex);
	}

	@Override
	public int getInt(String columnLabel) throws SQLException {
		return this.innerRowSet.getInt(columnLabel);
	}

	@Override
	public long getLong(int columnIndex) throws SQLException {
		return this.innerRowSet.getLong(columnIndex);
	}

	@Override
	public long getLong(String columnLabel) throws SQLException {
		return this.innerRowSet.getLong(columnLabel);
	}

	@Override
	public ResultSetMetaData getMetaData() throws SQLException {
		return this.innerRowSet.getMetaData();
	}

	@Override
	public Reader getNCharacterStream(int columnIndex) throws SQLException {
		return this.innerRowSet.getNCharacterStream(columnIndex);
	}

	@Override
	public Reader getNCharacterStream(String columnLabel) throws SQLException {
		return this.innerRowSet.getNCharacterStream(columnLabel);
	}

	@Override
	public NClob getNClob(int columnIndex) throws SQLException {
		return this.innerRowSet.getNClob(columnIndex);
	}

	@Override
	public NClob getNClob(String columnLabel) throws SQLException {
		return this.innerRowSet.getNClob(columnLabel);
	}

	@Override
	public String getNString(int columnIndex) throws SQLException {
		return this.innerRowSet.getNString(columnIndex);
	}

	@Override
	public String getNString(String columnLabel) throws SQLException {
		return this.innerRowSet.getNString(columnLabel);
	}

	@Override
	public Object getObject(int columnIndex) throws SQLException {
		return this.innerRowSet.getObject(columnIndex);
	}

	@Override
	public Object getObject(String columnLabel) throws SQLException {
		return this.innerRowSet.getObject(columnLabel);
	}

	@Override
	public Object getObject(int columnIndex, Map<String, Class<?>> map) throws SQLException {
		return this.innerRowSet.getObject(columnIndex, map);
	}

	@Override
	public Object getObject(String columnLabel, Map<String, Class<?>> map) throws SQLException {
		return this.innerRowSet.getObject(columnLabel, map);
	}

	@Override
	public Ref getRef(int columnIndex) throws SQLException {
		return this.innerRowSet.getRef(columnIndex);
	}

	@Override
	public Ref getRef(String columnLabel) throws SQLException {
		return this.innerRowSet.getRef(columnLabel);
	}

	@Override
	public int getRow() throws SQLException {
		return this.innerRowSet.getRow();
	}

	@Override
	public RowId getRowId(int columnIndex) throws SQLException {
		return this.innerRowSet.getRowId(columnIndex);
	}

	@Override
	public RowId getRowId(String columnLabel) throws SQLException {
		return this.innerRowSet.getRowId(columnLabel);
	}

	@Override
	public SQLXML getSQLXML(int columnIndex) throws SQLException {
		return this.innerRowSet.getSQLXML(columnIndex);
	}

	@Override
	public SQLXML getSQLXML(String columnLabel) throws SQLException {
		return this.innerRowSet.getSQLXML(columnLabel);
	}

	@Override
	public short getShort(int columnIndex) throws SQLException {
		return this.innerRowSet.getShort(columnIndex);
	}

	@Override
	public short getShort(String columnLabel) throws SQLException {
		return this.innerRowSet.getShort(columnLabel);
	}

	@Override
	public Statement getStatement() throws SQLException {
		return this.innerRowSet.getStatement();
	}

	@Override
	public String getString(int columnIndex) throws SQLException {
		return this.innerRowSet.getString(columnIndex);
	}

	@Override
	public String getString(String columnLabel) throws SQLException {
		return this.innerRowSet.getString(columnLabel);
	}

	@Override
	public Time getTime(int columnIndex) throws SQLException {
		return this.innerRowSet.getTime(columnIndex);
	}

	@Override
	public Time getTime(String columnLabel) throws SQLException {
		return this.innerRowSet.getTime(columnLabel);
	}

	@Override
	public Time getTime(int columnIndex, Calendar cal) throws SQLException {
		return this.innerRowSet.getTime(columnIndex, cal);
	}

	@Override
	public Time getTime(String columnLabel, Calendar cal) throws SQLException {
		return this.innerRowSet.getTime(columnLabel, cal);
	}

	@Override
	public Timestamp getTimestamp(int columnIndex) throws SQLException {
		return this.innerRowSet.getTimestamp(columnIndex);
	}

	@Override
	public Timestamp getTimestamp(String columnLabel) throws SQLException {
		return this.innerRowSet.getTimestamp(columnLabel);
	}

	@Override
	public Timestamp getTimestamp(int columnIndex, Calendar cal) throws SQLException {
		return this.innerRowSet.getTimestamp(columnIndex, cal);
	}

	@Override
	public Timestamp getTimestamp(String columnLabel, Calendar cal) throws SQLException {
		return this.innerRowSet.getTimestamp(columnLabel, cal);
	}

	@Override
	public int getType() throws SQLException {
		return this.innerRowSet.getType();
	}

	@Override
	public URL getURL(int columnIndex) throws SQLException {
		return this.innerRowSet.getURL(columnIndex);
	}

	@Override
	public URL getURL(String columnLabel) throws SQLException {
		return this.innerRowSet.getURL(columnLabel);
	}

	@Override
	@Deprecated
	public InputStream getUnicodeStream(int columnIndex) throws SQLException {
		return this.innerRowSet.getUnicodeStream(columnIndex);
	}

	@Override
	@Deprecated
	public InputStream getUnicodeStream(String columnLabel) throws SQLException {
		return this.innerRowSet.getUnicodeStream(columnLabel);
	}

	@Override
	public SQLWarning getWarnings() throws SQLException {
		return this.innerRowSet.getWarnings();
	}

	@Override
	public void insertRow() throws SQLException {
		this.innerRowSet.insertRow();
	}

	@Override
	public boolean isAfterLast() throws SQLException {
		return this.innerRowSet.isAfterLast();
	}

	@Override
	public boolean isBeforeFirst() throws SQLException {
		return this.innerRowSet.isBeforeFirst();
	}

	@Override
	public boolean isClosed() throws SQLException {
		return this.innerRowSet.isClosed();
	}

	@Override
	public boolean isFirst() throws SQLException {
		return this.innerRowSet.isFirst();
	}

	@Override
	public boolean isLast() throws SQLException {
		return this.innerRowSet.isLast();
	}

	@Override
	public boolean last() throws SQLException {
		return this.innerRowSet.last();
	}

	@Override
	public void moveToCurrentRow() throws SQLException {
		this.innerRowSet.moveToCurrentRow();
	}

	@Override
	public void moveToInsertRow() throws SQLException {
		this.innerRowSet.moveToInsertRow();
	}

	@Override
	public boolean next() throws SQLException {
		return this.innerRowSet.next();
	}

	@Override
	public boolean previous() throws SQLException {
		return this.innerRowSet.previous();
	}

	@Override
	public void refreshRow() throws SQLException {
		this.innerRowSet.refreshRow();
	}

	@Override
	public boolean relative(int rows) throws SQLException {
		return this.innerRowSet.relative(rows);
	}

	@Override
	public boolean rowDeleted() throws SQLException {
		return this.innerRowSet.rowDeleted();
	}

	@Override
	public boolean rowInserted() throws SQLException {
		return this.innerRowSet.rowInserted();
	}

	@Override
	public boolean rowUpdated() throws SQLException {
		return this.innerRowSet.rowUpdated();
	}

	@Override
	public void setFetchDirection(int direction) throws SQLException {
		this.innerRowSet.setFetchDirection(direction);
	}

	@Override
	public void setFetchSize(int rows) throws SQLException {
		this.innerRowSet.setFetchSize(rows);
	}

	@Override
	public void updateArray(int columnIndex, Array x) throws SQLException {
		this.innerRowSet.updateArray(columnIndex, x);
	}

	@Override
	public void updateArray(String columnLabel, Array x) throws SQLException {
		this.innerRowSet.updateArray( columnLabel,x );
	}

	@Override
	public void updateAsciiStream(int columnIndex, InputStream x) throws SQLException {
		this.innerRowSet.updateAsciiStream(columnIndex, x);
	}

	@Override
	public void updateAsciiStream(String columnLabel, InputStream x) throws SQLException {
		this.innerRowSet.updateAsciiStream(columnLabel, x);
	}

	@Override
	public void updateAsciiStream(int columnIndex, InputStream x, int length) throws SQLException {
		this.innerRowSet.updateAsciiStream(columnIndex, x, length);
	}

	@Override
	public void updateAsciiStream(String columnLabel, InputStream x, int length) throws SQLException {
		this.innerRowSet.updateAsciiStream(columnLabel, x, length);
	}

	@Override
	public void updateAsciiStream(int columnIndex, InputStream x, long length) throws SQLException {
		this.innerRowSet.updateAsciiStream(columnIndex, x, length);
	}

	@Override
	public void updateAsciiStream(String columnLabel, InputStream x, long length) throws SQLException {
		this.innerRowSet.updateAsciiStream(columnLabel, x, length);
	}

	@Override
	public void updateBigDecimal(int columnIndex, BigDecimal x) throws SQLException {
		this.innerRowSet.updateBigDecimal(columnIndex, x);
	}

	@Override
	public void updateBigDecimal(String columnLabel, BigDecimal x) throws SQLException {
		this.innerRowSet.updateBigDecimal(columnLabel, x);
	}

	@Override
	public void updateBinaryStream(int columnIndex, InputStream x) throws SQLException {
		this.innerRowSet.updateBinaryStream( columnIndex, x);
	}

	@Override
	public void updateBinaryStream(String columnLabel, InputStream x) throws SQLException {
		this.innerRowSet.updateBinaryStream(columnLabel, x);
	}

	@Override
	public void updateBinaryStream(int columnIndex, InputStream x, int length) throws SQLException {
		this.innerRowSet.updateBinaryStream(columnIndex, x, length);
	}

	@Override
	public void updateBinaryStream(String columnLabel, InputStream x, int length) throws SQLException {
		this.innerRowSet.updateBinaryStream(columnLabel, x, length);
	}

	@Override
	public void updateBinaryStream(int columnIndex, InputStream x, long length) throws SQLException {
		this.innerRowSet.updateBinaryStream(columnIndex, x, length);
	}

	@Override
	public void updateBinaryStream(String columnLabel, InputStream x,
			long length) throws SQLException {
		this.innerRowSet.updateBinaryStream(columnLabel, x,length);
	}

	@Override
	public void updateBlob(int columnIndex, Blob x) throws SQLException {
		this.innerRowSet.updateBlob( columnIndex, x);
	}

	@Override
	public void updateBlob(String columnLabel, Blob x) throws SQLException {
		this.innerRowSet.updateBlob(columnLabel, x);
	}

	@Override
	public void updateBlob(int columnIndex, InputStream inputStream) throws SQLException {
		this.innerRowSet.updateBlob(columnIndex, inputStream);
	}

	@Override
	public void updateBlob(String columnLabel, InputStream inputStream) throws SQLException {
		this.innerRowSet.updateBlob(columnLabel, inputStream);
	}

	@Override
	public void updateBlob(int columnIndex, InputStream inputStream, long length) throws SQLException {
		this.innerRowSet.updateBlob(columnIndex, inputStream,  length);
	}

	@Override
	public void updateBlob(String columnLabel, InputStream inputStream,long length) throws SQLException {
		this.innerRowSet.updateBlob(columnLabel, inputStream,length);
	}

	@Override
	public void updateBoolean(int columnIndex, boolean x) throws SQLException {
		this.innerRowSet.updateBoolean(columnIndex, x);
	}

	@Override
	public void updateBoolean(String columnLabel, boolean x) throws SQLException {
		this.innerRowSet.updateBoolean(columnLabel, x);
	}

	@Override
	public void updateByte(int columnIndex, byte x) throws SQLException {
		this.innerRowSet.updateByte(columnIndex, x);
	}

	@Override
	public void updateByte(String columnLabel, byte x) throws SQLException {
		this.innerRowSet.updateByte(columnLabel, x);
	}

	@Override
	public void updateBytes(int columnIndex, byte[] x) throws SQLException {
		this.innerRowSet.updateBytes(columnIndex, x);
	}

	@Override
	public void updateBytes(String columnLabel, byte[] x) throws SQLException {
		this.innerRowSet.updateBytes( columnLabel,  x);
	}

	@Override
	public void updateCharacterStream(int columnIndex, Reader x) throws SQLException {
		this.innerRowSet.updateCharacterStream( columnIndex,  x);
	}

	@Override
	public void updateCharacterStream(String columnLabel, Reader reader) throws SQLException {
		this.innerRowSet.updateCharacterStream( columnLabel,  reader);
	}

	@Override
	public void updateCharacterStream(int columnIndex, Reader x, int length) throws SQLException {
		this.innerRowSet.updateCharacterStream( columnIndex,  x,  length);
	}

	@Override
	public void updateCharacterStream(String columnLabel, Reader reader,int length) throws SQLException {
		this.innerRowSet.updateCharacterStream(columnLabel, reader, length);
	}

	@Override
	public void updateCharacterStream(int columnIndex, Reader x, long length) throws SQLException {
		this.innerRowSet.updateCharacterStream( columnIndex,  x,  length);
	}

	@Override
	public void updateCharacterStream(String columnLabel, Reader reader, long length) throws SQLException {
		this.innerRowSet.updateCharacterStream( columnLabel,reader,length);
	}

	@Override
	public void updateClob(int columnIndex, Clob x) throws SQLException {
		this.innerRowSet.updateClob(columnIndex, x);
	}

	@Override
	public void updateClob(String columnLabel, Clob x) throws SQLException {
		this.innerRowSet.updateClob(columnLabel, x);
	}

	@Override
	public void updateClob(int columnIndex, Reader reader) throws SQLException {
		this.innerRowSet.updateClob( columnIndex, reader);
	}

	@Override
	public void updateClob(String columnLabel, Reader reader) throws SQLException {
		this.innerRowSet.updateClob(columnLabel, reader);
	}

	@Override
	public void updateClob(int columnIndex, Reader reader, long length) throws SQLException {
		this.innerRowSet.updateClob(columnIndex, reader, length);
	}

	@Override
	public void updateClob(String columnLabel, Reader reader, long length) throws SQLException {
		this.innerRowSet.updateClob(columnLabel, reader, length);
	}

	@Override
	public void updateDate(int columnIndex, Date x) throws SQLException {
		this.innerRowSet.updateDate(columnIndex, x);
	}

	@Override
	public void updateDate(String columnLabel, Date x) throws SQLException {
		this.innerRowSet.updateDate(columnLabel, x);
	}

	@Override
	public void updateDouble(int columnIndex, double x) throws SQLException {
		this.innerRowSet.updateDouble(columnIndex, x);
	}

	@Override
	public void updateDouble(String columnLabel, double x) throws SQLException {
		this.innerRowSet.updateDouble(columnLabel, x);
	}

	@Override
	public void updateFloat(int columnIndex, float x) throws SQLException {
		this.innerRowSet.updateFloat(columnIndex, x);
	}

	@Override
	public void updateFloat(String columnLabel, float x) throws SQLException {
		this.innerRowSet.updateFloat(columnLabel, x);
	}

	@Override
	public void updateInt(int columnIndex, int x) throws SQLException {
		this.innerRowSet.updateInt(columnIndex, x);
	}

	@Override
	public void updateInt(String columnLabel, int x) throws SQLException {
		this.innerRowSet.updateInt(columnLabel, x);
	}

	@Override
	public void updateLong(int columnIndex, long x) throws SQLException {
		this.innerRowSet.updateLong(columnIndex, x);
	}

	@Override
	public void updateLong(String columnLabel, long x) throws SQLException {
		this.innerRowSet.updateLong(columnLabel, x);
	}

	@Override
	public void updateNCharacterStream(int columnIndex, Reader x) throws SQLException {
		this.innerRowSet.updateNCharacterStream(columnIndex, x);
	}

	@Override
	public void updateNCharacterStream(String columnLabel, Reader reader) throws SQLException {
		this.innerRowSet.updateNCharacterStream(columnLabel, reader);
	}

	@Override
	public void updateNCharacterStream(int columnIndex, Reader x, long length) throws SQLException {
		this.innerRowSet.updateNCharacterStream(columnIndex, x, length);
	}

	@Override
	public void updateNCharacterStream(String columnLabel, Reader reader,	long length) throws SQLException {
		this.innerRowSet.updateNCharacterStream(columnLabel, reader,length);	
	}

	@Override
	public void updateNClob(int columnIndex, NClob clob) throws SQLException {
		this.innerRowSet.updateNClob( columnIndex,  clob);
	}

	@Override
	public void updateNClob(String columnLabel, NClob clob) throws SQLException {
		this.innerRowSet.updateNClob( columnLabel,  clob);
	}

	@Override
	public void updateNClob(int columnIndex, Reader reader) throws SQLException {
		this.innerRowSet.updateNClob(columnIndex, reader);
	}

	@Override
	public void updateNClob(String columnLabel, Reader reader) throws SQLException {
		this.innerRowSet.updateNClob(columnLabel,  reader);
	}

	@Override
	public void updateNClob(int columnIndex, Reader reader, long length) throws SQLException {
		this.innerRowSet.updateNClob(columnIndex,  reader, length);
	}

	@Override
	public void updateNClob(String columnLabel, Reader reader, long length) throws SQLException {
		this.innerRowSet.updateNClob(columnLabel, reader, length);
	}

	@Override
	public void updateNString(int columnIndex, String string) throws SQLException {
		this.innerRowSet.updateNString( columnIndex,  string);
	}

	@Override
	public void updateNString(String columnLabel, String string) throws SQLException {
		this.innerRowSet.updateNString( columnLabel,  string);
	}

	@Override
	public void updateNull(int columnIndex) throws SQLException {
		this.innerRowSet.updateNull( columnIndex);
	}

	@Override
	public void updateNull(String columnLabel) throws SQLException {
		this.innerRowSet.updateNull( columnLabel);
	}

	@Override
	public void updateObject(int columnIndex, Object x) throws SQLException {
		this.innerRowSet.updateObject( columnIndex,  x);
	}

	@Override
	public void updateObject(String columnLabel, Object x) throws SQLException {
		this.innerRowSet.updateObject( columnLabel,  x);
	}

	@Override
	public void updateObject(int columnIndex, Object x, int scaleOrLength) throws SQLException {
		this.innerRowSet.updateObject( columnIndex,  x,  scaleOrLength);
	}

	@Override
	public void updateObject(String columnLabel, Object x, int scaleOrLength) throws SQLException {
		this.innerRowSet.updateObject( columnLabel,  x,  scaleOrLength);
	}

	@Override
	public void updateRef(int columnIndex, Ref x) throws SQLException {
		this.innerRowSet.updateRef( columnIndex,  x);
	}

	@Override
	public void updateRef(String columnLabel, Ref x) throws SQLException {
		this.innerRowSet.updateRef( columnLabel,  x);
	}

	@Override
	public void updateRow() throws SQLException {
		this.innerRowSet.updateRow();
	}

	@Override
	public void updateRowId(int columnIndex, RowId x) throws SQLException {
		this.innerRowSet.updateRowId( columnIndex,  x);
	}

	@Override
	public void updateRowId(String columnLabel, RowId x) throws SQLException {
		this.innerRowSet.updateRowId( columnLabel,  x);
	}

	@Override
	public void updateSQLXML(int columnIndex, SQLXML xmlObject) throws SQLException {
		this.innerRowSet.updateSQLXML( columnIndex,  xmlObject);
	}

	@Override
	public void updateSQLXML(String columnLabel, SQLXML xmlObject) throws SQLException {
		this.innerRowSet.updateSQLXML( columnLabel,  xmlObject);
	}

	@Override
	public void updateShort(int columnIndex, short x) throws SQLException {
		this.innerRowSet.updateShort( columnIndex,  x);
	}

	@Override
	public void updateShort(String columnLabel, short x) throws SQLException {
		this.innerRowSet.updateShort( columnLabel,  x);
	}

	@Override
	public void updateString(int columnIndex, String x) throws SQLException {
		this.innerRowSet.updateString(columnIndex, x);
	}

	@Override
	public void updateString(String columnLabel, String x) throws SQLException {
		this.innerRowSet.updateString( columnLabel,  x);
	}

	@Override
	public void updateTime(int columnIndex, Time x) throws SQLException {
		this.innerRowSet.updateTime( columnIndex,  x);
	}

	@Override
	public void updateTime(String columnLabel, Time x) throws SQLException {
		this.innerRowSet.updateTime( columnLabel,  x);
	}

	@Override
	public void updateTimestamp(int columnIndex, Timestamp x) throws SQLException {
		this.innerRowSet.updateTimestamp( columnIndex,  x);
	}

	@Override
	public void updateTimestamp(String columnLabel, Timestamp x) throws SQLException {
		this.innerRowSet.updateTimestamp( columnLabel,  x);
	}

	@Override
	public boolean wasNull() throws SQLException {
		return this.innerRowSet.wasNull();
	}

	@Override
	public boolean isWrapperFor(Class<?> iface) throws SQLException {
		return this.innerRowSet.isWrapperFor( iface);
	}

	@Override
	public <T> T unwrap(Class<T> iface) throws SQLException {
		return this.innerRowSet.unwrap(iface);
	}

	@Override
	public int[] getMatchColumnIndexes() throws SQLException {
		return this.innerRowSet.getMatchColumnIndexes();
	}

	@Override
	public String[] getMatchColumnNames() throws SQLException {
		return this.innerRowSet.getMatchColumnNames();
	}

	@Override
	public void setMatchColumn(int columnIdx) throws SQLException {
		this.innerRowSet.setMatchColumn(columnIdx);
	}

	@Override
	public void setMatchColumn(int[] columnIdxes) throws SQLException {
		this.innerRowSet.setMatchColumn(columnIdxes);
	}

	@Override
	public void setMatchColumn(String columnName) throws SQLException {
		this.innerRowSet.setMatchColumn(columnName);
	}

	@Override
	public void setMatchColumn(String[] columnNames) throws SQLException {
		this.innerRowSet.setMatchColumn(columnNames);
	}

	@Override
	public void unsetMatchColumn(int columnIdx) throws SQLException {
		this.innerRowSet.unsetMatchColumn( columnIdx);
	}

	@Override
	public void unsetMatchColumn(int[] columnIdxes) throws SQLException {
		this.innerRowSet.unsetMatchColumn( columnIdxes);
	}

	@Override
	public void unsetMatchColumn(String columnName) throws SQLException {
		this.innerRowSet.unsetMatchColumn( columnName);
	}

	@Override
	public void unsetMatchColumn(String[] columnName) throws SQLException {
		this.innerRowSet.unsetMatchColumn(columnName);
	}

}
