package net.kronos.orm.rowset;

import java.lang.reflect.Field;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import net.kronos.orm.factory.Column;

public class ObjectListPersister<T>{
	Collection<T> targetObjectList = new ArrayList<T>();
	private Connection con = null;

	public ObjectListPersister(Connection con){
		this.con = con;
	}
	
	public ObjectListPersister<T> setCollection(Collection<T> collection){
		this.targetObjectList = collection;
		return this;
	}
	
	public ObjectListPersister<T> addObject(T object){
		this.targetObjectList.add(object);
		return this;
	}
	
	public String[] getInsertSQL(T object){
		StringBuilder sql = new StringBuilder()
		.append(" INSERT INTO ");
		return new String[]{};
	}

	public String[] getUpdateSQL(T object){
		return new String[]{};
	}
	
	/**
	 * Ame[Vǂݎăe[uԂ܂B
	 * @param clazz
	 * @return
	 */
	public String getTargetTableName(Field field,Class<T> clazz){
		Column ann = field.getAnnotation(Column.class);
		String table = ann.updateTableName();
		if("".equals(table)){
			table = clazz.getSimpleName();
		}
		return table;
	}
	
	@SuppressWarnings("unchecked")
	public ObjectListPersister<T> saveOrUpdate(){
		try {
			Statement st = con.createStatement();
			for(T item : targetObjectList){
				Class clazz = item.getClass();
				
				StringBuilder sql = new StringBuilder();
				st.addBatch(sql.toString());
			}
			st.executeBatch();
		} catch (SQLException e) {
			throw ExceptionHandler.wrapNoCheckException(e);
		}
		return this;
	}
}
